{% extends "lara_base.html" %}
{% load static %}
{% block title %}Device-Overview{% endblock %}

{% block top %} 
  <h1> LARA Devices</h1>
  <p> </p> 
{% endblock %}

{% block main_content %}


{% if sila_dev %}


<li> 
<a href="{% url 'lara_devices:sila-devices' %}" >
           <img style="width:600px" src="{% static "lara_devices/"%}/sila/sila-logo.png" alt="SiLA"> sila dev
</a>
</li>

    <h2>SiLA2 devices</h2>

    {% for item in sila_dev %}
       <a>
           <img style="width:3000px" src="{% static "lara_devices/"%}{{item.name}}/{{item.image_filename}}" alt="{{item.name}}"> sila dev
       </a>
    {% endfor %}
{% endif %}

{% if object_list %}
<h2>LARA static devices</h2>

   <table id="item_table" class="report">
   <caption>{{ table_caption }}</caption>
   <thead>       
       <tr>
          <th rowspan=2 > Image </th> 
          <th onclick="sortTable(0)" rowspan=2 > Name </th>
          <th onclick="sortTable(1)" rowspan=2 > Model No.  </th> 
          <th onclick="sortTable(2)" rowspan=2 > Serial No. </th> 
          <th onclick="sortTable(3)" rowspan=2 > Service No. </th>
          <th rowspan=2 > registration_no </th>
          <th rowspan=2 > fabrication_date </th>
       </tr>
   </thead> 
   <tbody>
    {% for item in object_list %}
       <tr>
           <td><a> <img style="width:3000px" src="{% static "lara_devices/"%}{{item.name}}/{{item.name}}.jpg" alt="{{item.name}}">
              </a> </td>
           <td><a href="{% url 'lara_devices:device-detail' item.device_id %}" title="{{ item.full_name }} ({{item.model_no}})" > {{ item.name }}   </a> </td> 
           <td> {{ item.model_no }} </td> 
           <td> {{ item.serial_no }} </td> 
           <td> {{ item.service_no }} </td>
           <td> {{ item.registration_no }} </td>
           <td> {{ item.fabrication_date }} </td>
       </tr>
    {% endfor %}
   </tbody>
   </table>

{% else %}
    <p>No Devicess are available.</p>
{% endif %}

{% endblock %}

